/* root styles */
:root {
    --primary-light: rgb(151, 214, 255);
}

/* Addtional styles */

.popup {
    display: flex;
    justify-content: center;
    background: rgba(0, 0, 0, 0.611);
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 100;
    opacity: 1;
    transition: 0.5s ease-in-out;
    overflow: auto;
    padding-top: 150px;
    padding-bottom: 100px;
}

.popup > div {
    max-width: 1100px;
}

.nav-link {
    font-size: 0.85rem;
}

header .nav-link.active  {
    color: var(--bs-primary) !important;
}

.nav-pills .nav-link {
    border: 1px solid rgb(231, 231, 231);
    color: gray;
}

.nav-pills .nav-link.active > .fa {
    color: white !important;
}

.tag {
    font-weight: normal;
    font-size: 0.7rem;
    border: 2px solid gray;
    color: inherit;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 0.2rem 0.5rem;
    border-radius: 1rem;
    transition: all 0.2s ease-in-out;
}

.tag-primary {
    border-color: var(--bs-primary);
    color: var(--bs-primary);
}

.tag-primary:hover {
    background-color: var(--bs-primary);
}

.tag-success {
    border-color: var(--bs-success);
    color: var(--bs-success);
}

.tag-success:hover {
    background-color: var(--bs-success);
}

.tag:hover {
    cursor: pointer;
    color: white;
}

.text-rotated {
    position: absolute;
    transform-origin: center;
    transform: rotate(-90deg);
    left: -1.5rem;
}

.left-badge {
    position: absolute;
    top: 38px;
    left: -38px;
    padding: 5px 35px;
    font-size: 0.9rem;
    font-weight: bold;
    transform: rotate(-45deg);
}

.employee-card {
    position: relative;
    background-color: white;
    box-shadow: 0 1px 20px rgba(0, 0, 0, 0.08);
    overflow: hidden;
    font-size: 0.85rem;
    display: flex;
}

.text-gray {
    color: #9b9ea1;
}

.leadership-card {
    position: relative;
    width: 400px;
    display: flex;
    flex-direction: column;
    gap: 5px;
    /* overflow: hidden; */
    font-size: 0.85rem;
    /* background-color: white; */
    /* box-shadow: 0 1px 20px rgba(0, 0, 0, 0.1); */
}

.rounded-b-4 {
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
}

.card-bg-cover {
    position: absolute;
    z-index: 1;
    width: 100%;
    height: 100%;
    filter: drop-shadow(0 0 20px rgba(0, 0, 0, 0.2));
}

.border-y {
    border-top: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color);
    border-bottom: var(--bs-border-width) var(--bs-border-style) var(--bs-border-color);
}


/* global styles */

* {
    box-sizing: border-box;
}

a {
    text-decoration: none;
    color: inherit;
}

html {
    font-size: 18px;
}

body {
    font-family: sans-serif;
    line-height: var(--bs-body-line-height);
    color: gray;
    background-color: var(--bs-light);
}

/* custom classes */

.smaller {
    font-size: 0.75rem !important;
}

.mini {
    font-size: 0.65rem !important;
}

.micro {
    font-size: 0.5rem !important;
}

.reset-input {
    border: none;
    outline: none;
    background-color: transparent;
    padding: 0;
}

.reset-input::placeholder {
    color: inherit;
    opacity: 0.5;
}

.bg-white-mask {
    background: linear-gradient(white 50%, rgba(255, 255, 255, 0));
}

.peak-up {
    margin-top: -50px; margin-left: -2px;
}

/* media classes */

.popup-close {
    color: white;
}

@media (max-width: 1200px) {
    /* large screens */
    .peak-up {
        margin-top: 0;
        margin-left: 0;
    }
}

@media (max-width: 992px) {
    /* medium screens */
    .popup-close {
        color: black;
    }
    .card-bg-backdrop {
        background-color: white;
        box-shadow: 0 1px 20px rgba(0, 0, 0, 0.1);
        border-radius: 20px;
    }
    .card-bg-cover {
        display: none;
    }
}

@media (max-width: 768px) {
    /* small screens */
    .volunteer-card {
        width: 100%;
    }
}

@media (max-width: 576px) {
    /* extra small screens */
}
